Retrieve transaction
curl --request GET \
--url https://api.fincle.com.br/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fincle.com.br/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fincle.com.br/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fincle.com.br/transactions/{transactionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/transactions/{transactionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "cmddiqpxo09zf1yju2kqkhgga",
"paymentMethod": "pix",
"amount": 4990,
"netAmount": 4840,
"fees": 150,
"reservedAmount": null,
"reservedUntil": null,
"externalId": "7fab0715-9a97-42ce-84e2-dc96dc347fb0",
"status": "paid",
"description": "Invoice no. 2026/001042",
"createdAt": "2026-11-12T14:08:06.000Z",
"updatedAt": "2026-11-12T14:10:17.000Z",
"aprovedAt": "2026-11-12T14:10:17.000Z",
"refuseReason": null,
"acquirerCode": null,
"contestResolution": null,
"canSubmitContest": false,
"customer": {
"id": "cmddiq1a2000b1yju8xk2p9d1",
"name": "Helena Martins Andrade",
"phone": "11932104567",
"documentType": "cpf",
"document": "31845792041",
"emails": [
{
"email": "helena.andrade@example.com"
}
]
},
"TransactionItems": [],
"Pix": {
"key": null,
"endToEndId": "E18236120202611121410s12e9976c00",
"payerInfo": null
}
}
}{
"success": false,
"message": "Não autorizado"
}{
"success": false,
"message": "Acesso negado"
}Transactions
Retrieve transaction
Returns a transaction of the account. The data field is null when the transaction does not exist or belongs to another account.
GET
/
transactions
/
{transactionId}
Retrieve transaction
curl --request GET \
--url https://api.fincle.com.br/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fincle.com.br/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fincle.com.br/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fincle.com.br/transactions/{transactionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fincle.com.br/transactions/{transactionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fincle.com.br/transactions/{transactionId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fincle.com.br/transactions/{transactionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"id": "cmddiqpxo09zf1yju2kqkhgga",
"paymentMethod": "pix",
"amount": 4990,
"netAmount": 4840,
"fees": 150,
"reservedAmount": null,
"reservedUntil": null,
"externalId": "7fab0715-9a97-42ce-84e2-dc96dc347fb0",
"status": "paid",
"description": "Invoice no. 2026/001042",
"createdAt": "2026-11-12T14:08:06.000Z",
"updatedAt": "2026-11-12T14:10:17.000Z",
"aprovedAt": "2026-11-12T14:10:17.000Z",
"refuseReason": null,
"acquirerCode": null,
"contestResolution": null,
"canSubmitContest": false,
"customer": {
"id": "cmddiq1a2000b1yju8xk2p9d1",
"name": "Helena Martins Andrade",
"phone": "11932104567",
"documentType": "cpf",
"document": "31845792041",
"emails": [
{
"email": "helena.andrade@example.com"
}
]
},
"TransactionItems": [],
"Pix": {
"key": null,
"endToEndId": "E18236120202611121410s12e9976c00",
"payerInfo": null
}
}
}{
"success": false,
"message": "Não autorizado"
}{
"success": false,
"message": "Acesso negado"
}